using System;
using System.Data.Entity.ModelConfiguration;
using System.Data.Common;
using System.Data.Entity;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using MiniNWModel.Entities;

namespace MiniNWModel.Mapping
{
	public class CategoryMap : EntityTypeConfiguration<Category>
	{
		public CategoryMap()
		{
			// Primary Key
			this.HasKey(t => t.cid);

			// Properties
			this.Property(t => t.cid)
				.HasDatabaseGeneratedOption(DatabaseGeneratedOption.None);
				
			// Table & Column Mappings
			this.ToTable("Categories");
			this.Property(t => t.cid).HasColumnName("cid");
			this.Property(t => t.name).HasColumnName("name");
		}
	}
}

